Bug 14628 - Fix several issues in selftest
Summary: Fix several issues in selftest
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Test infrastructure (show other bugs)
Version: unspecified
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Karolin Seeger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-02 07:07 UTC by Andreas Schneider
Modified: 2021-03-03 14:05 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.14 (34.64 KB, patch)
2021-02-02 07:09 UTC, Andreas Schneider
metze: review+
Details
Patches for v4-13-test (35.54 KB, patch)
2021-02-16 16:52 UTC, Stefan Metzmacher
metze: review? (asn)
bjacke: review+
metze: ci-passed+
Details
Patches for v4-12-test (9.23 KB, patch)
2021-02-16 16:54 UTC, Stefan Metzmacher
metze: review? (asn)
bjacke: review+
metze: ci-passed+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2021-02-02 07:07:16 UTC
Fix several issues in selftest.

Patch will follow.
Comment 1 Andreas Schneider 2021-02-02 07:09:09 UTC
Created attachment 16419 [details]
patch for 4.14
Comment 2 Stefan Metzmacher 2021-02-02 08:53:09 UTC
Comment on attachment 16419 [details]
patch for 4.14

Thanks! I guess we want at least some commits also in older branches...
Comment 3 Karolin Seeger 2021-02-02 09:20:56 UTC
(In reply to Andreas Schneider from comment #1)
Pushed to autobuild-v4-14-test.
Comment 4 Samba QA Contact 2021-02-02 10:30:03 UTC
This bug was referenced in samba v4-14-test:

9fed2749c039164794faadef71aa83cfd360d130
f480161b754aade6c1af2d05f3ce742466b28026
56c2c0f651e1c038ecf87a14a7dbe478e5e58d8d
9d5f5e821cbe23cc2e64f201e7409aaec4b50387
85800df90358f3a76b6b86f8414582178fe50946
f1c7967b568034da2707ccc4bd1f64358d55eacc
3eba14718dd6269fe1657de15a2f47c848b60518
81b36b389cb01eca9b2f0a2a452d290e21f31394
c1a4cb97d1d71b974eed2ecb5f34bb1425f36294
c933135969be29072971f96481b05f499fd48b57
cc1568be4d4250390a9ad03c84f5e260fc7acffd
Comment 5 Karolin Seeger 2021-02-02 10:43:55 UTC
Re-assigning to Andreas as it seems there should be backports.
Comment 6 Samba QA Contact 2021-02-04 08:27:06 UTC
This bug was referenced in samba v4-14-stable (Release samba-4.14.0rc2):

9fed2749c039164794faadef71aa83cfd360d130
f480161b754aade6c1af2d05f3ce742466b28026
56c2c0f651e1c038ecf87a14a7dbe478e5e58d8d
9d5f5e821cbe23cc2e64f201e7409aaec4b50387
85800df90358f3a76b6b86f8414582178fe50946
f1c7967b568034da2707ccc4bd1f64358d55eacc
3eba14718dd6269fe1657de15a2f47c848b60518
81b36b389cb01eca9b2f0a2a452d290e21f31394
c1a4cb97d1d71b974eed2ecb5f34bb1425f36294
c933135969be29072971f96481b05f499fd48b57
cc1568be4d4250390a9ad03c84f5e260fc7acffd
Comment 7 Stefan Metzmacher 2021-02-16 16:52:17 UTC
Created attachment 16457 [details]
Patches for v4-13-test

A pipeline is running here:
https://gitlab.com/samba-team/devel/samba/-/pipelines/257114687
Comment 8 Stefan Metzmacher 2021-02-16 16:54:07 UTC
Created attachment 16458 [details]
Patches for v4-12-test

4.12 only gets the autobuild.py backports (it also need some v4-13 patches backported)

A pipeline is running here:
https://gitlab.com/samba-team/devel/samba/-/pipelines/257116503
Comment 9 Karolin Seeger 2021-03-01 09:33:12 UTC
Pushed to autobuild-v4-{13,12}-test.
Comment 10 Samba QA Contact 2021-03-03 09:09:04 UTC
This bug was referenced in samba v4-13-test:

aa9a1644f4139d753d622d4552d7c88580a53073
57994ca68f21c831f0e3e292cc101fd78997bdd3
7a72dc8cd36f9ad58b1e0295cd9773ed8fbf7274
98051444a580ca36bed892ed82241e54384c08dc
8f95912a5d3184db7c2bd6c10c6faec79164b214
86c7854a1bb05b633ad9e627d4804fa1a27b54d8
01a0a619adf91fb95446e26f26a902423b20f052
70a465682281da2b5e4765ad8d7fdf2095fc60ae
35dc71bbc19a7f6e36af6bad74f990cfe38db59a
6d93064e1881f749d4b0a08e0c09eb58cab477c6
4917b5e93d1e7858e9ada1f5840650d9368e2323
Comment 11 Samba QA Contact 2021-03-03 11:12:03 UTC
This bug was referenced in samba v4-12-test:

00df0473da5d5e80ce97baa7efd0db3316d4eb90
bebe69c35256bbd2a2e7e038d137c21930e88acf